import React from 'react';
import {inject, observer} from 'mobx-react';
import {Link} from 'react-router';
import { Affix, Card, Slider, Select } from 'antd';
import {Tab, Tabs} from 'material-ui';
import './style.scss';
import All from "./All/index";

const Option = Select.Option;
@inject('appstate')
@observer
export default class VouchersComponent extends React.Component {
  constructor(props) {
    super(props);
    this.props = props;
    this.state = {
      valueMinimal: 0,
      valueMaximal: 0,
    };
    this.defaultState = Object.assign({}, this.state);
  }

  componentDidMount() {
  }

  handleChangeMinimal = (valueMinimal) => {
    this.setState({ valueMinimal });
  };

  handleChangeMaximal = (valueMaximal) => {
    this.setState({ valueMaximal });
  };

  handleChange = (value) => {
    console.log(`selected ${value}`);
  }

  handleBlur = () => {
    console.log('blur');
  }

  handleFocus = () => {
    console.log('focus');
  }

  render() {
    const { valueMinimal, valueMaximal } = this.state;

    return (
      <div className="setting">
        <div className="row">
          <div className="col l3 m3 s3 no-padding">
            <Affix offsetTop={90}>
              <Card title="Filter" bordered={true} style={{ width: '100%' }}>
                <p>Min. Points</p>
                <Slider max={1000} onChange={this.handleChangeMinimal} value={valueMinimal} />

                <p>Max. Points</p>
                <Slider max={1000} onChange={this.handleChangeMaximal} value={valueMaximal} />

                <p style={{marginTop: 25}}>Category</p>
                <Select
                  showSearch
                  style={{ width: '100%' }}
                  placeholder="Select a category"
                  optionFilterProp="children"
                  onChange={this.handleChange}
                  onFocus={this.handleFocus}
                  onBlur={this.handleBlur}
                  // filterOption={(input, option) => option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0}
                >
                  <Option value="jack">Electronic</Option>
                  <Option value="lucy">Fashion</Option>
                  <Option value="tom">Food</Option>
                </Select>
              </Card>
            </Affix>
          </div>
          <div className="col l9 m9 s9 no-padding">
            <All/>
          </div>
        </div>
      </div>
    )
  }
}
